| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgeom/chainhull2d.h File Reference

Monotone chain 2D convex hull. More...

`#include "csextern.h"`

Go to the source code of this file.

## Classes
class | csChainHull2D
| This is Andrew's monotone chain 2D convex hull algorithm. More...

## Detailed Description

Monotone chain 2D convex hull.

Definition in file chainhull2d.h.